//+------------------------------------------------------------------+
//|                                       TRO_RSI_WIN_5TF.mq4        |
//+------------------------------------------------------------------+
#property copyright "AHGduP"
#property link      "TRO_RSi_WIN_5TF"

#property indicator_chart_window
#property indicator_buffers 5
#property indicator_color1 EMPTY 
#property indicator_color2 EMPTY 
#property indicator_color3 EMPTY 
#property indicator_color4 EMPTY 
#property indicator_color5 EMPTY 

extern int CCI1_Period      = 8 ;
extern int CCI5_Period      = 3 ;
extern int CCI15_Period     = 3 ;
extern int CCI30_Period     = 3 ;
extern int CCI60_Period     = 3 ;

extern int        CCI_WIN5D  = 0;// next to candles
extern int        Adj_UpDn   = 110;
extern int        Adj_LtRt   = 315;
extern int        TextSize   = 10;
extern bool       ShowDots   = true;

double CCI1W[];
double CCI5W[];
double CCI15W[];
double CCI30W[];
double CCI60W[];
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int init()
 {
    IndicatorDigits(+2);
    IndicatorBuffers(5);
    SetIndexBuffer(0, CCI1W);
    SetIndexBuffer(1, CCI5W);
    SetIndexBuffer(2, CCI15W);
    SetIndexBuffer(3, CCI30W);
    SetIndexBuffer(4, CCI60W);
 

//=============================MOD====================================================== 
         string  ThisName = "RSi_WIN5D(M1)";
         string Text=ThisName;
         IndicatorShortName(Text); 
         SetIndexLabel(0,"");    
}
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
int deinit()
  {     Refresh();
        return(0);
  }
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
void start()
 {    Refresh();
      int add_y;
      int i,limit,LoopBegin;
//=====================================================================================================
      
      int HHE,HVE,  C1LH, C1LV,  C5LH,C5LV,   C15LH, C15LV,   C30LH, C30LV,   C60LH, C60LV ;
      int           C1LHD,       C5LHD,        C15LHD,         C30LHD,         C60LHD ;
  if  (CCI_WIN5D==0)
      {                
                         HHE    = 820 +Adj_LtRt;  HVE     = 150 +Adj_UpDn ; 
                        C1LH    = 820 +Adj_LtRt;  C1LV    = 170 +Adj_UpDn ; 
                        C5LH    = 820 +Adj_LtRt;  C5LV    = 190 +Adj_UpDn ; 
                        C15LH   = 820 +Adj_LtRt;  C15LV   = 210 +Adj_UpDn ; 
                        C30LH   = 820 +Adj_LtRt;  C30LV   = 230 +Adj_UpDn ; 
                        C60LH   = 820 +Adj_LtRt;  C60LV   = 250 +Adj_UpDn ; 
           //DOTS--             
                        C1LHD    = 810 +Adj_LtRt;//850 
                        C5LHD    = 810 +Adj_LtRt; 
                        C15LHD   = 810 +Adj_LtRt;//
                        C30LHD   = 810 +Adj_LtRt; 
                        C60LHD   = 810 +Adj_LtRt;//
                        
      }
   if  (CCI_WIN5D==1||2||3||4)
      {                 
                        HHE     = 820 +Adj_LtRt;  HVE     = 10  +Adj_UpDn ;//820 
                        C1LH    = 820 +Adj_LtRt;  C1LV    = 25  +Adj_UpDn ;//820
                        C5LH    = 820 +Adj_LtRt;  C5LV    = 45  +Adj_UpDn ; 
                        C15LH   = 820 +Adj_LtRt;  C15LV   = 65  +Adj_UpDn ; 
                        C30LH   = 820 +Adj_LtRt;  C30LV   = 85  +Adj_UpDn ; 
                        C60LH   = 820 +Adj_LtRt;  C60LV   = 105 +Adj_UpDn ; //820
                        
           //DOTS--             
                        C1LHD    = 860 +Adj_LtRt;//850
                        C5LHD    = 860 +Adj_LtRt; 
                        C15LHD   = 860 +Adj_LtRt;  
                        C30LHD   = 860 +Adj_LtRt; 
                        C60LHD   = 860 +Adj_LtRt;//850             
      }

//========================================================================================== 
  
 for (i=LoopBegin; i>=0; i--) {
      
      CCI1W[i]     = iRSI(NULL, PERIOD_M1,  CCI1_Period,  PRICE_CLOSE, i);
      CCI5W[i]     = iRSI(NULL, PERIOD_M5,  CCI5_Period,  PRICE_CLOSE, i);
      CCI15W[i]    = iRSI(NULL, PERIOD_M15, CCI15_Period, PRICE_CLOSE, i);
      CCI30W[i]    = iRSI(NULL, PERIOD_M30, CCI30_Period, PRICE_CLOSE, i);
      CCI60W[i]    = iRSI(NULL, PERIOD_H1,  CCI60_Period, PRICE_CLOSE, i);
      
     double CCI1WP   = iRSI(NULL, PERIOD_M1,  CCI1_Period,  PRICE_CLOSE, i+1);
     double CCI5WP   = iRSI(NULL, PERIOD_M5,  CCI5_Period,  PRICE_CLOSE, i+1);
     double CCI15WP  = iRSI(NULL, PERIOD_M15, CCI15_Period, PRICE_CLOSE, i+1);
     double CCI30WP  = iRSI(NULL, PERIOD_M30, CCI30_Period, PRICE_CLOSE, i+1);
     double CCI60WP  = iRSI(NULL, PERIOD_H1,  CCI60_Period, PRICE_CLOSE, i+1);
      

//=======================  HEADINGE  =======================================================================================   
    
     ObjectCreate ("HEADINGE5D", OBJ_LABEL,CCI_WIN5D, 0, 0);
     ObjectSetText("HEADINGE5D", "   RSi-3 M1" , TextSize, "Tahoma Bold", Gold);
     ObjectSet    ("HEADINGE5D", OBJPROP_XDISTANCE, HHE);
     ObjectSet    ("HEADINGE5D", OBJPROP_YDISTANCE, HVE); 

//=======================  RSi  ============================================================================================        
  
   { ObjectCreate("CCIT1_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0);
 if  (CCI1W[i]>0 ){ObjectSetText("CCIT1_lab5","(M1)       "+DoubleToStr(CCI1W[i],0)+" ", TextSize, "Tahoma Bold", Lime);}
 if  (CCI1W[i]<0 ){ObjectSetText("CCIT1_lab5","(M1)       "+DoubleToStr(CCI1W[i],0)+" ", TextSize, "Tahoma Bold", Red);}
     ObjectSet("CCIT1_lab5", OBJPROP_XDISTANCE, C1LH);
     ObjectSet("CCIT1_lab5", OBJPROP_YDISTANCE, C1LV ); 
   }
   
   { ObjectCreate("CCIT5_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0);
 if  (CCI5W[i]>0 ){ObjectSetText("CCIT5_lab5","(M5)       "+DoubleToStr(CCI5W[i],0)+" ", TextSize, "Tahoma Bold", Lime);}
 if  (CCI5W[i]<0 ){ObjectSetText("CCIT5_lab5","(M5)       "+DoubleToStr(CCI5W[i],0)+" ", TextSize, "Tahoma Bold", Red);}
     ObjectSet("CCIT5_lab5", OBJPROP_XDISTANCE, C5LH);
     ObjectSet("CCIT5_lab5", OBJPROP_YDISTANCE, C5LV ); 
   }
   
   { ObjectCreate("CCIT15_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0);
 if  (CCI15W[i]>0 ){ObjectSetText("CCIT15_lab5","(15)        "+DoubleToStr(CCI15W[i],0)+"  ", TextSize, "Tahoma Bold", Lime);}
 if  (CCI15W[i]<0 ){ObjectSetText("CCIT15_lab5","(15)        "+DoubleToStr(CCI15W[i],0)+"  ", TextSize, "Tahoma Bold", Red);}
     ObjectSet("CCIT15_lab5", OBJPROP_XDISTANCE, C15LH);
     ObjectSet("CCIT15_lab5", OBJPROP_YDISTANCE, C15LV ); 
   }
   
   { ObjectCreate("CCIT30_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0);
 if  (CCI30W[i]>0 ){ObjectSetText("CCIT30_lab5","(30)        "+DoubleToStr(CCI30W[i],0)+"  ", TextSize, "Tahoma Bold", Aqua);}//Lime
 if  (CCI30W[i]<0 ){ObjectSetText("CCIT30_lab5","(30)        "+DoubleToStr(CCI30W[i],0)+"  ", TextSize, "Tahoma Bold", Yellow);}//Red
     ObjectSet("CCIT30_lab5", OBJPROP_XDISTANCE, C30LH);
     ObjectSet("CCIT30_lab5", OBJPROP_YDISTANCE, C30LV ); 
   }
   
   { ObjectCreate("CCIT60_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0);
 if  (CCI60W[i]>0 ){ObjectSetText("CCIT60_lab5","(H1)        "+DoubleToStr(CCI60W[i],0)+"  ", TextSize, "Tahoma Bold", Lime);}
 if  (CCI60W[i]<0 ){ObjectSetText("CCIT60_lab5","(H1)        "+DoubleToStr(CCI60W[i],0)+"  ", TextSize, "Tahoma Bold", Red);}
     ObjectSet("CCIT60_lab5", OBJPROP_XDISTANCE, C60LH);
     ObjectSet("CCIT60_lab5", OBJPROP_YDISTANCE, C60LV ); 
   }
   
//====================== DOT DIRECTION =====================================================================================
 if      (  ShowDots == true ){
     { ObjectCreate("CCIT1D_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0); 
 //if  ((CCI5W[i] > 50 )&& (CCI5W[i] > CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", Lime);}
 //if  ((CCI5W[i] > 50 )&& (CCI5W[i] < CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", MediumSeaGreen);}
 if  ( (CCI1W[i] > CCI1WP )) {ObjectSetText("CCIT1D_lab5","",10, "Wingdings", Lime);}
 if  ( (CCI1W[i] < CCI1WP )) {ObjectSetText("CCIT1D_lab5","",10, "Wingdings", Red);}
 
//f  ( (CCI5W[i] > CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", Red);}
 //  ( (CCI5W[i] < CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", IndianRed);}
     ObjectSet("CCIT1D_lab5", OBJPROP_XDISTANCE, C1LHD);
     ObjectSet("CCIT1D_lab5", OBJPROP_YDISTANCE, C1LV ); 
   }
   
   { ObjectCreate("CCIT5D_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0); 
 if  ( (CCI5W[i] > CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", Lime);}
 if  ( (CCI5W[i] < CCI5WP )) {ObjectSetText("CCIT5D_lab5","",10, "Wingdings", Red);}
     ObjectSet("CCIT5D_lab5", OBJPROP_XDISTANCE, C5LHD);
     ObjectSet("CCIT5D_lab5", OBJPROP_YDISTANCE, C5LV ); 
   }
   
   { ObjectCreate("CCIT15D_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0); 
 if  ( (CCI15W[i] > CCI15WP )) {ObjectSetText("CCIT15D_lab5","",10, "Wingdings", Lime);}
 if  ( (CCI15W[i] < CCI15WP )) {ObjectSetText("CCIT15D_lab5","",10, "Wingdings", Red);}
     ObjectSet("CCIT15D_lab5", OBJPROP_XDISTANCE, C15LHD);
     ObjectSet("CCIT15D_lab5", OBJPROP_YDISTANCE, C15LV ); 
   }
   
   { ObjectCreate("CCIT30D_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0); 
 if  ( (CCI30W[i] > CCI30WP )) {ObjectSetText("CCIT30D_lab5","",10, "Wingdings", Lime);}
 if  ( (CCI30W[i] < CCI30WP )) {ObjectSetText("CCIT30D_lab5","",10, "Wingdings", Red);}
     ObjectSet("CCIT30D_lab5", OBJPROP_XDISTANCE, C30LHD);
     ObjectSet("CCIT30D_lab5", OBJPROP_YDISTANCE, C30LV ); 
   }
   
   { ObjectCreate("CCIT60D_lab5", OBJ_LABEL,CCI_WIN5D, 0, 0); 
 if  ( (CCI60W[i] > CCI60WP )) {ObjectSetText("CCIT60D_lab5","",10, "Wingdings", Lime);}
 if  ( (CCI60W[i] < CCI60WP )) {ObjectSetText("CCIT60D_lab5","",10, "Wingdings", Red);}
     ObjectSet("CCIT60D_lab5", OBJPROP_XDISTANCE, C60LHD);
     ObjectSet("CCIT60D_lab5", OBJPROP_YDISTANCE, C60LV ); 
   }
   }
//=================================================================================================  
     }
     }
//=====================================
void Refresh() 
   {              
     
      ObjectDelete("HEADINGE5D");   
        
      ObjectDelete("CCIT1_lab5");   
      ObjectDelete("CCIT5_lab5");   
      ObjectDelete("CCIT15_lab5");
      ObjectDelete("CCIT30_lab5");    
      ObjectDelete("CCIT60_lab5"); 
      
      ObjectDelete("CCIT1D_lab5"); 
      ObjectDelete("CCIT5D_lab5"); 
      ObjectDelete("CCIT15D_lab5"); 
      ObjectDelete("CCIT30D_lab5");  
      ObjectDelete("CCIT60D_lab5"); 
   }
 
//------------------------------------------------------------------------------------+

